/*================
    Global CSS
================*/

:root {
    --color-black: #000222;
    --color-dark: #282033;
    --color-light: #d3ccff;
    --color-white: #fffddd;

    --color-blue: #887ce7;
    --color-green: #8eeb76;
    --color-red: #d47474;
    --color-yellow: #e9eb7c;

    --bg-default-dark: #1b1f24;
    --bg-default-light: #bcd1e5;
    --bg-content: #ebf1b9;
    --nav-color-dark: #4c5079;
    --nav-color-light: #a4d3ff;
    --nav-color-active: #fdffa4;

    --font-family-title: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    --font-family-default:  'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    --font-size-default: 22px;
    --font-size-small: 16px;
    --font-size-title: 38px bold;

    --button-color-light: #ffd2d2;
    --button-color-dark: #d42323;

    --color-table-header: #060c2e;
    --color-table-inside: #332e5e;
    --bg-table-header: #fa6843;
    --bg-table-inside: #fdccc0;
    --font-table-default: 25px;
    --font-table-title: 26px bold;
    --border-table: 1px var(--color-black) solid;
}

/*============
    Global
============*/

html, body {
    font: var(--font-size-default);
    font-family: var(--font-family-default);
    color: var(--color-dark);
    background-color: var(--bg-default-dark);
    height: 100%;
    position: relative;
    cursor: default;
}

header{
    width: 0 auto;
    padding: 0 5vw;
    font: var(--font-size-title);
    font-family: var(--font-family-title);
    color: var(--color-red);
    display: flex;
    justify-content: space-between;
}

nav {
    padding-left: 10px;
    background-color: var(--color-dark);
    position: sticky;
    top: 0;
}

ul {
    font-size: var(--font-size-small);
    margin: 0;
    padding: 0;
    display: flex;
    flex-direction: row;
    list-style-type: none;
}

li {
    float: left;
}

li a,
.dropbtn1,
.dropbtn2,
.dropbtn3,
.dropbtn4 {
    display: inline-block;
    color: var(--nav-color-light);
    text-align: center;
    padding: 12px 13px;
    text-decoration: none;
}
li a:hover {
    color: var(--nav-color-dark);
}
li a:active {
    color: var(--nav-color-active);
}

li.drop1,
li.drop2,
li.drop3,
li.drop4 {
    display: inline-block;
}

.drop1-content,
.drop2-content,
.drop3-content,
.drop4-content {
    display: none;
    position: absolute;
    background-color: var(--bg-default-dark);
    min-width: inherit;
    z-index: 1;
}

.drop1-content a,
.drop2-content a,
.drop3-content a,
.drop4-content a {
    padding: 12px 16px;
    text-decoration: none;
    display: block;
    text-align: left;
}

.drop1:hover .drop1-content,
.drop2:hover .drop2-content,
.drop3:hover .drop3-content,
.drop4:hover .drop4-content {
    display: block;
}

.container {
    margin: 10px 0;
    padding: 20px 0;
    width: 0 auto;
    display: flex;
    justify-content: center;
    background-color: var(--bg-content);
}

section {
    margin: 10px 20px;
    padding: 15px 20px;
    background-color: var(--color-white);
    border-radius: 5px;
    box-shadow: 2px 2px 1px var(--color-light);
}

footer {
    padding: 10px 30px;
    width: 0 auto;
    min-height: 60px;
    color: var(--nav-color-light);
    font-size: var(--font-size-small);
    border-top: 5px var(--color-dark) solid;
}

/*==========
    Font
==========*/

h1, h2, h3, h4, h5, h6 {
    color: var(--color-blue);
}

/*==========
    Flex
==========*/

.row {
    display: flex;
    flex-direction: row;
}

/*===============
    Component
===============*/

input {
    margin: 5px;
    font: var(--font-size-default);
    font-family: var(--font-family-default);
    color: var(--button-color-dark);
    background-color: var(--button-color-light);
    border: 1px solid;
    border-radius: 50x;
    cursor: pointer;
}
input:hover {
    color: var(--button-color-light);
    background-color: var(--button-color-dark);
}

/*===========
    Table
===========*/

th, td {
    border: var(--border-table);
    padding: 3px 10px;
}

table {
    margin: 0 5vw;
    padding: 5px;
    background-color: var(--color-white);
    box-shadow: 2px 2px 1px var(--color-light);
}

th {
    font: var(--font-table-title);
    color: var(--color-table-header);
    background-color: var(--bg-table-header);
}

td {
    font: var(--font-table-default);
    color: var(--color-table-inside);
    background-color: var(--bg-table-inside);
}

/*===========
    Other
===========*/

/*======================
    Other Media Size
======================*/

@media screen and (max-width: 600px) {

    /*============
        Global
    ============*/


    /*===========
        Table
    ===========*/

    table {
        min-width: 420px;
        max-width: 420px;
    }

}